# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: /usr/bin/glib-genmarshal /usr/bin/glib-gettextize /usr/bin/swig gcc-c++ glib2-devel libgtk+2-gir-devel libgtk+3-gir-devel pkgconfig(glib-2.0) pkgconfig(gmodule-2.0) pkgconfig(gtk+-2.0) pkgconfig(x11)
# END SourceDeps(oneline)
%define fedora 19
# %name or %version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name input-pad
%define version 1.0.2
%define have_pygobject3_devel 1
%define have_pygobject2_devel 1
%define have_xtest_devel  1
%define have_eek_devel    1
%define use_gtk3          1

%if %have_pygobject2_devel
  %if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
  %{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
  %endif
%endif

%define sub_version             1.0
%define libxklavier_version     4.0
%define libxml2_version         2.0
%define eekboard_version        0.90.1

%define libinput_paddir %{_libdir}/%{name}-%sub_version
%define moduledir       %{_libdir}/%{name}-%sub_version/modules
%define kbduidir        %{_libdir}/%{name}-%sub_version/modules/kbdui
%define xkeysenddir     %{_libdir}/%{name}-%sub_version/modules/xkeysend


Name:       input-pad
Version:    1.0.2
Release:    alt1_4
Summary:    On-screen Input Pad to Send Characters with Mouse
License:    LGPLv2+
Group:      System/Libraries
URL:        http://code.google.com/p/input-pad/
Source0:    http://input-pad.googlecode.com/files/%{name}-%{version}.tar.gz
# Patch0:     input-pad-HEAD.patch


BuildRequires:  gettext-devel
%if %use_gtk3
BuildRequires:  libgtk+3-devel
%else
BuildRequires:  gtk2-devel
%endif
BuildRequires:  libtool
BuildRequires:  libxkbfile-devel
BuildRequires:  libxklavier-devel >= %libxklavier_version
BuildRequires:  libxml2-devel >= %libxml2_version
BuildRequires:  intltool
%if %have_xtest_devel
BuildRequires:  libXtst-devel
%endif
%if %have_pygobject3_devel
BuildRequires:  gobject-introspection-devel
%endif
%if %have_pygobject2_devel
BuildRequires:  python-devel
BuildRequires:  swig
%endif
%if %have_eek_devel
BuildRequires:  eekboard-libs-devel >= %eekboard_version
%endif
Requires:       input-pad-xtest = %{version}-%{release}
%if %have_pygobject3_devel
Requires:       gobject-introspection
%endif
Source44: import.info

%description
The input pad is a tool to send a character on button to text applications.

%package devel
Summary:    Development tools for input-pad
Group:      Development/C
Requires:   %{name} = %{version}-%{release}

%description devel
The input-pad-devel package contains the header files.

%if %have_pygobject2_devel
%package -n python-module-input-pad-pygobject2
Summary:    Input Pad for Python GObject2
Group:      System/Libraries
Requires:   %{name} = %{version}-%{release}
Requires:   pygtk2

%description -n python-module-input-pad-pygobject2
The input-pad-pygobject2 package contains the python wrapper files.
%endif

%if %have_xtest_devel
%package xtest
Summary:    Input Pad with XTEST extension
Group:      System/Libraries
Requires:   %{name} = %{version}-%{release}

%description xtest
The input-pad-xtest package contains XTEST extension module
%endif

%if %have_eek_devel
%package eek
Summary:    Input Pad with eekboard extension
Group:      System/Libraries
Requires:   %{name} = %{version}-%{release}
Requires:   eekboard-libs >= %eekboard_version

%description eek
The input-pad-eek package contains eekboard extension module
%endif

%prep
%setup -q
# %patch0 -p1

%build
autoreconf -v
%configure \
%if %have_pygobject2_devel
    --enable-pygobject2         \
%endif
%if %have_eek_devel
    --enable-eek                \
%endif
%if %have_xtest_devel
    --enable-xtest              \
%endif
%if %use_gtk3
    --with-gtk=3.0              \
%endif
    --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

if [ ! -d $RPM_BUILD_ROOT%kbduidir ] ; then
    mkdir -p $RPM_BUILD_ROOT%kbduidir
fi
if [ ! -d $RPM_BUILD_ROOT%xkeysenddir ] ; then
    mkdir -p $RPM_BUILD_ROOT%xkeysenddir
fi

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
%if %have_xtest_devel
rm -f $RPM_BUILD_ROOT%xkeysenddir/*.la
rm -f $RPM_BUILD_ROOT%xkeysenddir/*.a
%endif
%if %have_eek_devel
rm -f $RPM_BUILD_ROOT%kbduidir/*.la
rm -f $RPM_BUILD_ROOT%kbduidir/*.a
%endif
%if %have_pygobject2_devel
rm -f $RPM_BUILD_ROOT%python_sitelibdir/%{name}-%sub_version/*.la
rm -f $RPM_BUILD_ROOT%python_sitelibdir/%{name}-%sub_version/*.a
%endif

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_bindir}/input-pad
%dir %libinput_paddir
%dir %moduledir
%dir %xkeysenddir
%dir %kbduidir
%{_libdir}/libinput-pad.so.*
%if %have_pygobject3_devel
%{_libdir}/girepository-1.0/InputPad-1.0.typelib
%endif
%{_datadir}/%name
%{_datadir}/pixmaps/input-pad.png

%files devel
%{_includedir}/%{name}-%sub_version
%{_libdir}/libinput-pad.so
%{_libdir}/pkgconfig/*.pc
%if %have_pygobject3_devel
%{_datadir}/gir-1.0/InputPad-1.0.gir
%endif

%if %have_pygobject2_devel
%files -n python-module-input-pad-pygobject2
%python_sitelibdir/%{name}-%sub_version
%python_sitelibdir/pyinput_pad.pth
%endif

%if %have_xtest_devel
%files xtest
%xkeysenddir/libinput-pad-xtest-gdk.so
%endif

%if %have_eek_devel
%files eek
%kbduidir/libinput-pad-eek-gtk.so
%endif

%changelog
* Wed Apr 10 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_4
- update to new release by fcimport

* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_3
- update to new release by fcimport

* Tue Jan 22 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_2
- initial fc import

